Skip to content
LydieDevelopers
Menu

Rename a document

View as Markdown
POST/v1/documents/{id}/rename
docs:writeUndoable
Request
curl -X POST "https://api.lydie.co/v1/documents/01JCQ3V5MZ8G4ZK2X7T9R6N1PB/rename" \
  -H "Authorization: Bearer $LYDIE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "title": "Meeting notes"
  }'

Path parameters

  • idULIDrequired

Body

  • titlestringrequired· 1–255 chars

Response

200
{
  "id": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
  "workspaceId": "01JCQ3TZ0WJ8K4M2X7T9R6N1PA",
  "parentId": null,
  "title": "Meeting notes",
  "sortKey": "a0",
  "properties": {
    "status": "draft"
  },
  "createdAt": "2026-11-12T09:30:00.000Z",
  "updatedAt": "2026-11-12T09:30:00.000Z",
  "deletedAt": null,
  "createdBy": null,
  "updatedBy": null
}

Errors use one envelope for every endpoint. See Errors and versions.